# RaySensor(Sensor)

base classes — `bpy_struct`, `Sensor`

class `bpy.types.``RaySensor`(Sensor)

  Sensor to detect intersections with a ray emanating from the current object

  `axis`

    Along which axis the ray is cast

    Type: | enum in [‘XAXIS’, ‘YAXIS’, ‘ZAXIS’, ‘NEGXAXIS’, ‘NEGYAXIS’, ‘NEGZAXIS’], default ‘YAXIS’

  `material`

    Only look for objects with this material (blank = all objects)

    Type: | string, default “”, (never None)

  `property`

    Only look for objects with this property (blank = all objects)

    Type: | string, default “”, (never None)

  `range`

    Sense objects no farther than this distance

    Type: | float in [0.01, 10000], default 0.0

  `ray_type`

    Toggle collision on material or property

    - `PROPERTY` Property, Use a property for ray intersections.
    - `MATERIAL` Material, Use a material for ray intersections.

    Type: | enum in [‘PROPERTY’, ‘MATERIAL’], default ‘PROPERTY’

  `use_x_ray`

    Toggle X-Ray option (see through objects that don’t have the property)

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` `Sensor.name` `Sensor.type` `Sensor.pin` `Sensor.active` `Sensor.show_expanded` `Sensor.invert` | `Sensor.use_level` `Sensor.use_pulse_true_level` `Sensor.use_pulse_false_level` `Sensor.tick_skip` `Sensor.use_tap` `Sensor.controllers`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` | `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values` `Sensor.link` `Sensor.unlink`